Cyberduck Mountain Duck CLI

#957 closed defect (fixed)

Directory permission Icons misleading when connected to non-UNIX servers

Reported by: Cpuroast Owned by: dkocher
Priority: normal Milestone: 2.8
Component: interface Version: 2.6.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi,

This is regarding the following enhancement that was added in 2.6 [Feature] Marking write-only and non-accessible directories with special icon as in Finder.app

I work for a university and we run an FTP Server using Gene6 FTP Server 3.8 on Windows Server 2003, we are using Active Directory/NTFS permissions to manage users and user permissions, so Unix CHMOD permissions do not apply at all.

Starting with Cyberduck 2.6 which added the marking of write-only and non-accessible folders.

It displays a red icon(which I presume to be the one for non-writable folders) on every folder, even if the user actually has full read and write permissions. This bug doesn't actually prevent the user from writing to the folder. It does however confuse our students, so we were forced to go back to 2.5.5.

Would it be possible to have an option to completely turn off the marking completely and revert it back to the way 2.5.5 did things, atleast until the permission detection works properly.

Thanks,

Change History (3)

comment:1 Changed on Nov 21, 2006 at 6:52:30 AM by dkocher

  • Priority changed from highest to normal
  • Severity changed from blocker to normal
  • Status changed from new to assigned
  • Summary changed from Permissions aren't being detected properly to Directory permission Icons misleading when connected to non-UNIX servers

comment:2 Changed on Nov 23, 2006 at 9:47:33 AM by dkocher

As of r2582 you can use set the property browser.markInaccessibleFolders to disalbe the marking of write-only and inaccessible folders. Use

defaults write ch.sudo.cyberduck browser.markInaccessibleFolders false

comment:3 Changed on May 27, 2007 at 2:03:35 PM by dkocher

  • Milestone set to 2.8
  • Resolution set to fixed
  • Status changed from assigned to closed

See changes in r3026.

Note: See TracTickets for help on using tickets.
swiss made software